# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           grib-decoder-java
Version:        8.0.25
Release:	1%{?dist}
Epoch:          0
Summary:        GRIB Java decoder
Group:          Development/Libraries/Java
License:        MIT-style
URL:            http://www.unidata.ucar.edu/software/decoders/
Source0:        grib-decoder-java-8.0.25.tgz
# svn export http://svn.unidata.ucar.edu/repos/thredds/trunk/grib/ grib-decoder-java-8.0.25
# tar czf grib-decoder-java-8.0.25.tgz grib-decoder-java-8.0.25/
Source1:        raf.tgz
Patch0:         grib-decoder-java-build.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7
BuildRequires:  junit4
BuildRequires:  slf4j
Requires:  java >= 0:1.6.0
Requires:  slf4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Java and perl decoder packages are used to manage GRIB 
and Textual Report data. The GRIB Java uses the stored raw 
data files and decode the data as requested. 
GRIB Java decoders are used with the Common Data Model (CDM)
software netCDF-Java to make the raw data appear as a netCDF
file with parameter type selection abilities. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep 
%setup -q 
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -sf $(build-classpath slf4j/api) lib/slf4j-api-1.5.6.jar
ln -sf $(build-classpath slf4j/api) lib/slf4j-api.jar
ln -sf $(build-classpath slf4j/jdk14) lib/slf4j-jdk14-1.5.6.jar
ln -sf $(build-classpath slf4j/jdk14) lib/slf4j-jdk14.jar
ln -sf $(build-classpath junit4) lib/junit-4.5.jar
%patch0 -b .sav0
tar xzf %{SOURCE1}
cp -pr raf-src/src/java/* src

%build
ant -Dbuild.sysclasspath=first dist

%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}

install -m 644 target/grib-8.0.jar \
           %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do \
ln -s ${jar} ${jar/-%{version}/}; done)

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Sat Oct 16 2010 Ralph Apel <r.apel@r-apel.de> 8.0.25-1
- first release

